image:  debian:bullseye
stages:
  - build
variables:
  PRTG_TEMPLATETGT: $CI_PROJECT_DIR\PRTG-$CI_PROJECT_NAME
  PRTG_TEMPLATESRC: $CI_PROJECT_DIR\PRTG
  PRTG_ARTIFACTNAME: PRTG-$CI_PROJECT_NAME

PRTGDistZip:
  stage: build
  script:
    - echo 'Creating ${PRTG_ARTIFACTNAME} zip'
    - mkdir .junk
    - mv * .junk
    - cd .junk/PRTG
    - find . -name '.gitkeep' -delete
    - mv */ ../..
    - cd ../..
    - echo 'Created ${PRTG_ARTIFACTNAME} zip'

  artifacts:
    name: "${PRTG_ARTIFACTNAME}"
    untracked: false
    paths:
      - Custom Sensors
      - devicetemplates
      - lookups
      - MIB
      - notifications
      - snmplibs
      - webroot
